.te_theme_button {
    @include border(2px,19,solid)
    @include style(2,19,inherit)
    border-radius: 50px !important;
    display: inline-block;
    -webkit-transition: all 300ms;
    -moz-transition: all 300ms;
    transition: all 300ms;
    background-color:transparent;
    border: 1px solid theme-color('primary');
    position:relative;
    padding-right:35px;
    padding-left:35px;
    &:after{
        content: "\f061";
        font: normal normal normal 14px/1 FontAwesome;
        left: 70%;
        opacity: 0;
        top: 0;
        line-height:2.9;
        position:absolute;
        color: #fff;
    }
    &:hover {
        background-color:none;
        &:after{
            left: 85%;
            opacity: 1;
            -webkit-transition: all 0.3s;
            transition: all 0.3s;
        }
    }
}
@media (max-width:500px)
{
	.te_theme_button
	{
		padding: 0.5rem 1.8rem;
		margin-bottom: 8px;
		font-size:nth($f_sizes,3);
		
		&:after
		{
			font-size: 0.6rem;
			top: 3px;
		}
	}
}
